These are chat archives for ceylon/ceylon-ide-eclipse

18th
Nov 2016
John Vasileff
@jvasileff
Nov 18 2016 16:39
Just checking… has Eclipse been tested with a JS project that imports an SDK module in a few days?
weird import error for me. Could be due to the binary compat stuff. Or it could just be my system.
I guess probably the latter...
David Festal
@davidfestal
Nov 18 2016 16:44
@jvasileff : could you open an issue and assign it to me with 1.3.1 and high-prio ? I'll try to have a look
John Vasileff
@jvasileff
Nov 18 2016 16:44
sure @davidfestal. Trying to troubleshoot it first on my end
David Festal
@davidfestal
Nov 18 2016 16:44
ok, cool
Enrique Zamudio
@chochos
Nov 18 2016 16:46
IIRC launching JS stuff in Eclipse is using the run js tool
John Vasileff
@jvasileff
Nov 18 2016 17:02
This one is a bit tricky. It seems that if you import c.l.collection/verX and transitively import c.l.collection/verY, there are errors trying to import declarations from c.l.collection, with a quickfix to add the module import (that already exists) to module.ceylon
compile-js produces no errors in this case, which I understand to be correct (the transitive import is not shared)
David Festal
@davidfestal
Nov 18 2016 17:04
is it for a declaration that was added between verX and verY ?
John Vasileff
@jvasileff
Nov 18 2016 17:04
No. For example, ceylon.collection is underlined in red:
import ceylon.collection {
    HashSet
}
Package not found in imported modules: ceylon.collection (add module import to module descriptor of sandbox.ceylon.snapjs.base)
I can reproduce in a small project and create an bug report a bit later.
Maybe this is an old issue
Enrique Zamudio
@chochos
Nov 18 2016 17:06
does it happen in CLI as well?
John Vasileff
@jvasileff
Nov 18 2016 17:06
CLI comples without error
David Festal
@davidfestal
Nov 18 2016 17:06
That might be an old error yes